
QGIS Application - Bug report #14244

legend and styles random

2016-02-08 01:26 AM - salvatore fiandaca

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22241

Description

legend and styles random

The legend does not update if you use

color_rgba (rand (0,255), rand (0,255), rand (0,255), rand (0,255))

video: http://1drv.ms/1PJIdId

Related issues:

Duplicates QGIS Application - Feature request # 11491:  When using data defin... Open 2014-10-24

History

#1 - 2016-02-13 11:36 AM - Sebastian Dietrich

- Affected QGIS version changed from 2.12.2 to master

- Category set to Symbology

Confirmed on master (commit:be4909776b8d6ded2052e0954774c502a3e6a183).

Very interesting approach using a volatile function for styling. While rand() surely is an extreme example, it still raises some fundamental questions about

data-defined styles.

#2 - 2016-02-13 01:32 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #11491
